////////////////////////////////////////
// Programming project code
// UniBw M, 2022, 2023, 2024
// www.unibw.de/inf2
// (c) Mark Minas (mark.minas@unibw.de)
////////////////////////////////////////

package pp.battleship.game.server;

import pp.battleship.message.server.ServerMessage;

/**
 * Interface for sending messages to a client.
 */
public interface ServerSender {
    /**
     * Send the specified message to the client.
     *
     * @param id      the id of the client that shall receive the message
     * @param message the message
     */
    void send(int id, ServerMessage message);
}
